unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, MPlayer, ComCtrls, StdCtrls,  jpeg;

type
  TForm1 = class(TForm)
    MediaPlayer1: TMediaPlayer;
    progbar: TImage;
    fill: TImage;
    tick: TImage;
    tickm: TImage;
    play: TImage;
    open: TImage;
    OpenDialog1: TOpenDialog;
    Timer1: TTimer;
    Button1: TButton;
    ProgCaption: TImage;
    Button3: TButton;
    pause: TImage;
    procedure openClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure progresbartickMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure progresbartickMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Button1Click(Sender: TObject);
    procedure ProgCaptionMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Button3Click(Sender: TObject);
    procedure MediaPlayer1Notify(Sender: TObject);
    procedure playMouseEnter(Sender: TObject);
    procedure playMouseLeave(Sender: TObject);
    procedure playMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure playMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormCreate(Sender: TObject);
    procedure pauseMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure pauseMouseEnter(Sender: TObject);
    procedure pauseMouseLeave(Sender: TObject);
    procedure pauseMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  hag:real;
  mousepos:tpoint;
  mfn,mft:string;
  mpos:tpoint;


implementation

uses video;


{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
form3.Show;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
progcaption.Canvas.Font.Size:=12;
progcaption.Canvas.Brush.Color:=clblack;
progcaption.Canvas.Font.Color:=clwhite;
progcaption.Canvas.FillRect(bounds(0,0,progcaption.width,progcaption.height));
progcaption.Canvas.TextOut(20,5,'   ');
form1.Color:=clsilver;
end;

procedure TForm1.MediaPlayer1Notify(Sender: TObject);
begin
if MediaPlayer1.NotifyValue = nvSuccessful then begin
  tickm.Left:=tick.Left;
end;
end;

procedure TForm1.openClick(Sender: TObject);
begin
if opendialog1.Execute then
try
mfn:=ExtractFilename(opendialog1.FileName);
mft:=ExtractFileExt(opendialog1.filename);
mfn:=copy(mfn,0,pos(mft,mfn)-1);

mediaplayer1.FileName:=opendialog1.filename;
mediaplayer1.Open;
tick.left:=round(progbar.Left-tick.Width/2);
tickm.left:= round(progbar.Left-tickm.Width/2);
mediaplayer1.DisplayRect:=form3.ClientRect ;
mediaplayer1.TimeFormat:=tfmilliseconds;
hag:=progbar.Width/mediaplayer1.Length;
mediaplayer1.Play;
timer1.Enabled:=true;
if mft='.avi' then begin
form3.Show;
form3.Caption:=mfn+'   '+mft;
end;

except
Showmessage('   ');

end;
end;

procedure TForm1.pauseMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
pause.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'images\btn_pause_down.jpg');
end;

procedure TForm1.pauseMouseEnter(Sender: TObject);
begin
pause.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'images\btn_pause_over.jpg');
end;

procedure TForm1.pauseMouseLeave(Sender: TObject);
begin
pause.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'images\btn_pause_none.jpg');
end;

procedure TForm1.pauseMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
pause.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'images\btn_pause_none.jpg');
mediaplayer1.Pause;
end;

procedure TForm1.playMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
play.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'images\btn_play_down.jpg');
end;

procedure TForm1.playMouseEnter(Sender: TObject);
begin
play.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'images\btn_play_over.jpg');
end;

procedure TForm1.playMouseLeave(Sender: TObject);
begin
play.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'images\btn_play_none.jpg');
end;

procedure TForm1.playMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
play.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'images\btn_play_over.jpg');
mediaplayer1.play;
end;

procedure TForm1.ProgCaptionMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
ReleaseCapture;
Perform (WM_SYSCOMMAND,SC_MOVE+2,0);
end;

procedure TForm1.progresbartickMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
if shift=[ssleft] then begin
getcursorpos(mpos);
tickm.Left:=mpos.X-form1.Left-trunc(tickm.width/2) ;
if tickm.Left+tickm.Width/2<progbar.left then  tickm.Left:=progbar.Left-round(tickm.Width/2);
if tickm.Left+tickm.Width/2>(progbar.left+progbar.width) then  tickm.Left:=progbar.Left+progbar.Width-round(tickm.Width/2)-2;
end;
end;

procedure TForm1.progresbartickMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
if abs(tickm.Left-tick.Left)>1 then begin
  mediaplayer1.Position:=round((1+tickm.Left-progbar.Left+tickm.Width/2)/hag) ;
  mediaplayer1.Play;
end;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
fill.Width:=trunc(hag*mediaplayer1.Position);
tick.Left:=fill.Left+fill.Width-trunc(tick.Width/2);
if (abs(tick.Left-tickm.Left)<=2)or(abs(tick.Left-tickm.Left)<=2*hag) then tickm.Left:=tick.Left;

end;

end.
